Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657101 (CVE-2010-4040) - CVE-2010-4040 WebKit: crafted animated GIF image could cause DoS (memory corruption)
Summary: CVE-2010-4040 WebKit: crafted animated GIF image could cause DoS (memory corr...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-4040
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 676213
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-11-24 22:06 UTC by Vincent Danen
Modified: 2019-09-29 12:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 08:20:14 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-11-24 22:06:09 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4040 to
the following vulnerability:

Name: CVE-2010-4040
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4040
Assigned: 20101021
Reference: CONFIRM: http://code.google.com/p/chromium/issues/detail?id=54500
Reference: CONFIRM: http://googlechromereleases.blogspot.com/2010/10/stable-channel-update.html
Reference: BID:44241
Reference: URL: http://www.securityfocus.com/bid/44241
Reference: SECUNIA:41888
Reference: URL: http://secunia.com/advisories/41888
Reference: VUPEN:ADV-2010-2731
Reference: URL: http://www.vupen.com/english/advisories/2010/2731

Google Chrome before 7.0.517.41 does not properly handle animated GIF
images, which allows remote attackers to cause a denial of service
(memory corruption) or possibly have unspecified other impact via a
crafted image.


This does affect webkitgtk 1.2.3 (high CPU consumption, rapid memory consumption) and possibly other versions.

Additional references:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=46437
Trac: http://trac.webkit.org/changeset/68446

Comment 1 Huzaifa S. Sidhpurwala 2011-02-09 04:19:24 UTC
This is fixed in webkitgtk 1.2.7

Comment 2 Huzaifa S. Sidhpurwala 2011-02-09 04:40:57 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 676213]


Note You need to log in before you can comment on or make changes to this bug.